#!/bin/sh
nasm -f elf32 boot.asm -o boot.o
gcc -m32 -fno-stack-protector -fno-pic -I./include/VM86 -c kernel.c -o kc.o
cd include
cd VM86
nasm -f elf isrs.asm -o isrs.o
nasm -f elf cpu.asm -o cpu.o
nasm -f elf vm86asm.asm -o vm86asm.o
gcc -m32 -fno-stack-protector -fno-pic -I. -c ints.c -o ints.o
gcc -m32 -fno-stack-protector -fno-pic -I. -c idt.c -o idt.o
gcc -m32 -fno-stack-protector -fno-pic -I. -c vm86.c -o vm86.o
cp isrs.o ../..
cp idt.o ../..
cp cpu.o ../..
cp ints.o ../..
cp vm86.o ../..
cp vm86asm.o ../..
cd ..
cd ..
ld -m elf_i386 -T link.ld -o bootloader.bin boot.o kc.o cpu.o idt.o isrs.o ints.o vm86.o vm86asm.o
cp bootloader.bin OS/boot/
grub-mkrescue -o OS.iso OS/
qemu-system-x86_64 -cdrom OS.iso -debugcon stdio

